package com.doc;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.scheduling.annotation.EnableAsync;

/**
 * 启动程序
 *
 * @author ruoyi
 */
@SpringBootApplication(exclude = {DataSourceAutoConfiguration.class})
@EnableAsync
public class RuoYiApplication {
    public static void main(String[] args) {
        // System.setProperty("spring.devtools.restart.enabled", "false");

        SpringApplication.run(RuoYiApplication.class, args);

        System.out.println("(♥◠‿◠)ﾉﾞ  程序启动成功   ლ(´ڡ`ლ)ﾞ  \n" +
                "     ██╗         ██╗    ████████╗\n" +
                "     ██║         ██║    ╚══██╔══╝\n" +
                "     ██║         ██║       ██║   \n" +
                "██   ██║    ██   ██║       ██║   \n" +
                "╚█████╔╝    ╚█████╔╝       ██║   \n" +
                " ╚════╝      ╚════╝        ╚═╝   ");
    }
}
