package com.doc.biz.service;

import org.springframework.web.multipart.MultipartFile;

/**
 * OCR服务
 *
 * @author wukai
 */
public interface IOcrService {
    /**
     * 文字识别
     *
     * @param fileId 文件ID
     * @return 识别结果
     * @throws Exception 异常
     */
    String recognition(String fileId) throws Exception;

    /**
     * 文字识别
     *
     * @param file 文件
     * @return 识别结果
     * @throws Exception 异常
     */
    String recognition(MultipartFile file) throws Exception;
}
