package com.doc.biz.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 文件基本信息表对象 doc_info
 *
 * @author wukai
 * @date 2023-08-21
 */
@ApiModel(value = "MatchVO", description = "访问码验证")
@Data
public class MatchVO {
    @ApiModelProperty("目录ID")
    private Long dirId;

    @ApiModelProperty("访问码(需要SM3加密)")
    private String code;
}
