package com.doc.ftp;

import com.doc.common.utils.encrypt.Sm3Util;
import org.apache.ftpserver.usermanager.PasswordEncryptor;

/**
 * FTP专用密码存储
 *
 * @author wukai
 * @date 2023/11/27 20:54
 */
public class Sm3Ftp implements PasswordEncryptor {

    @Override
    public String encrypt(String s) {
        return Sm3Util.encrypt(s);
    }

    @Override
    public boolean matches(String passwordToCheck, String storedPassword) {
        return storedPassword.equals(Sm3Util.encrypt(passwordToCheck));
    }
}
