package com.doc.system.domain.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 用户树
 *
 * @author wukai
 * @date 2023/8/30 17:00
 */
@Data
@ApiModel(value = "AlarmVO", description = "告警配置")
public class AlarmVO {
    @ApiModelProperty("是否开启短信")
    private String status;
    @ApiModelProperty("电话")
    private String phone;
    @ApiModelProperty("IP非法访问次数")
    private Integer ip_times;
    @ApiModelProperty("硬盘使用率")
    private Integer hdd_used;
    @ApiModelProperty("CPU周期数")
    private Integer cpu_times;
    @ApiModelProperty("CPU使用率")
    private Integer cpu_used;
    @ApiModelProperty("内存周期数")
    private Integer mem_times;
    @ApiModelProperty("内存使用率")
    private Integer mem_used;


}
