package com.doc.system.domain.vo;

import lombok.Data;

/**
 * 操作日志记录表 oper_log
 *
 * @author ruoyi
 */
@Data
public class LogCalcVO {
    private static final long serialVersionUID = 1L;

    /**
     * 操作模块
     */
    private String title;
    private Integer eventType;
    private Integer eventLevel;

    /**
     * 业务类型（0其它 1新增 2修改 3删除）
     */
    private Integer businessType;

    /**
     * 操作人员
     */
    private String operName;


    /**
     * 操作地址
     */
    private String operIp;

    /**
     * 操作状态（0正常 1异常）
     */
    private Integer status;

    /**
     * 操作次数
     */
    private Long times;
}
