package com.test;

import com.doc.RuoYiApplication;
import com.doc.biz.domain.DocInfo;
import com.doc.biz.service.IDocInfoService;
import com.doc.biz.service.IElasticSearchService;
import com.doc.common.utils.DateUtils;
import com.doc.common.utils.StringUtils;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.ActiveProfiles;
import org.springframework.test.context.junit4.SpringRunner;

import javax.annotation.Resource;
import java.util.List;

/**
 * Test$
 *
 * @author wukai
 * @date 2023/9/7 16:57
 */
@RunWith(SpringRunner.class)
@SpringBootTest(classes = RuoYiApplication.class, webEnvironment = SpringBootTest.WebEnvironment.RANDOM_PORT)
@ActiveProfiles("t1")
public class MongoTest {
    @Resource
    IDocInfoService infoService;
    @Resource
    IElasticSearchService elasticSearchService;

    @Test
    public void test() {
        List<DocInfo> docInfoList = infoService.selectLoseList();
//        docInfoList.stream().sorted(Co)
        docInfoList.forEach(info -> {
//            elasticSearchService.delete(info);
//            infoService.deleteDocInfoByDocId(info.getDocId());
            System.err.println(info.getCreateBy() + "-" + DateUtils.parseDateToStr(DateUtils.YYYY_MM_DD_HH_MM_SS, info.getCreateTime()) + "\t" + info + "remark:" + StringUtils.length(info.getRemark()));
        });
    }

    public static void main(String[] args) {
    }
}
