package com.doc.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * ScannerVO$
 *
 * @author wukai
 * @date 2023/11/29 17:24
 */
@Data
@ApiModel(value = "ScannerVO", description = "扫描文件认领")
public class ScannerVO {
    @ApiModelProperty("名称")
    private String name;
    @ApiModelProperty("目录ID")
    private Long dirId;
    @ApiModelProperty("空间ID")
    private Long spaceId;
    @ApiModelProperty("是否合并")
    private Boolean merge;
    @ApiModelProperty("选中文件的q值")
    private List<String> q;
}
